object Versions {
  const val amazonaws_s3 = "1.11.606"
  const val asciidoctor_pdf = "1.5.0-alpha.16"
  const val asciidoctorj = "1.5.3.2"
  const val byte_buddy = "1.9.3"
  const val commons_beanutils = "1.9.3"
  const val commons_collections4 = "4.2"
  const val commons_lang3 = "3.4"
  const val commons_logging = "1.2"
  const val flapdoodle_graph = "1.1.0"
  const val flyway = "6.0.0-beta2"
  const val guava = "25.1-android" // Stay on 25.1-android b/c it is brough in by guice 4.2.2
  const val guice = "4.2.2"
  const val hikaricp = "3.3.1"
  const val jackson_annotations = "2.9.8"
  const val jasper_reports = "6.9.0"
  const val javax_activation = "1.1.1"
  const val jdbi3 = "3.9.1"
  const val jqwik = "1.1.6"
  const val junit = "5.4.2" // Stay on 5.4.2 in deference to org.testcontainers:junit-jupiter:1.11.3
  const val karibu_testing = "1.1.4"
  const val kotlin = "1.3.41"
  const val logback = "1.2.3"
  const val mockk = "1.9.3"
  const val pdf_box = "2.0.16"
  const val postgres = "42.2.5"
  const val servlet = "3.1.0"
  const val slf4j = "1.7.25"
  const val spring = "5.1.5.RELEASE"
  const val strikt = "0.21.0" // Stay on 0.21.0 b/c everyone else requires transitive dep org.opentest4j:opentest4j in Version 1.1.1
  const val testcontainers = "1.11.3"
  const val vaadin = "13.0.11"
}

object Libs {
  const val asciidoctor_pdf = "org.asciidoctor:asciidoctorj-pdf:${Versions.asciidoctor_pdf}"
  const val asciidoctorj = "org.asciidoctor:asciidoctorj:${Versions.asciidoctorj}"

  const val byte_buddy = "net.bytebuddy:byte-buddy:${Versions.byte_buddy}"

  const val commons_beanutils = "commons-beanutils:commons-beanutils:${Versions.commons_beanutils}"
  const val commons_collections4 = "org.apache.commons:commons-collections4:${Versions.commons_collections4}"
  const val commons_lang3 = "org.apache.commons:commons-lang3:${Versions.commons_lang3}"
  const val commons_logging = "commons-logging:commons-logging:${Versions.commons_logging}"

  const val findbugs_jsr305 = "com.google.code.findbugs:jsr305:3.0.2"
  const val flapdoodle_graph = "de.flapdoodle.graph:de.flapdoodle.graph:${Versions.flapdoodle_graph}"
  const val flyway = "org.flywaydb:flyway-core:${Versions.flyway}"

  const val guava = "com.google.guava:guava:${Versions.guava}"

  const val guice_core = "com.google.inject:guice:${Versions.guice}"
  const val guice_servlet = "com.google.inject.extensions:guice-servlet:${Versions.guice}"
  const val guice_multibindings = "com.google.inject.extensions:guice-multibindings:${Versions.guice}"
  const val guice_throwingproviders = "com.google.inject.extensions:guice-throwingproviders:${Versions.guice}"

  const val hikaricp = "com.zaxxer:HikariCP:${Versions.hikaricp}"

  const val jackson_core = "com.fasterxml.jackson.core:jackson-core:${Versions.jackson_annotations}"
  const val jackson_databind = "com.fasterxml.jackson.core:jackson-databind:${Versions.jackson_annotations}"
  const val jackson_annotations = "com.fasterxml.jackson.core:jackson-annotations:${Versions.jackson_annotations}"

  const val jasperreports = "net.sf.jasperreports:jasperreports:${Versions.jasper_reports}"
  const val jasperreports_fonts = "net.sf.jasperreports:jasperreports-fonts:${Versions.jasper_reports}"

  const val java_activation = "javax.activation:activation:${Versions.javax_activation}"

  const val pdf_box = "org.apache.pdfbox:pdfbox:${Versions.pdf_box}"

  const val jdbi_core = "org.jdbi:jdbi3-core:${Versions.jdbi3}"
  const val jdbi_kotlin = "org.jdbi:jdbi3-kotlin:${Versions.jdbi3}"
  const val jdbi_postgres = "org.jdbi:jdbi3-postgres:${Versions.jdbi3}"

  const val jqwik_api = "net.jqwik:jqwik-api:${Versions.jqwik}"
  const val jqwik_engine = "net.jqwik:jqwik-engine:${Versions.jqwik}"

  const val junit_bom = "org.junit:junit-bom:${Versions.junit}"
  const val junit_api = "org.junit.jupiter:junit-jupiter-api"
  const val junit_engine = "org.junit.jupiter:junit-jupiter-engine"
  const val junit_params = "org.junit.jupiter:junit-jupiter-params"

  const val karibu_testing = "com.github.mvysny.kaributesting:karibu-testing-v10:${Versions.karibu_testing}"
  const val kotlin_reflect = "org.jetbrains.kotlin:kotlin-reflect:${Versions.kotlin}"
  const val kotlin_stdlib = "org.jetbrains.kotlin:kotlin-stdlib:${Versions.kotlin}"
  const val kotlin_stdlib_jdk8 = "org.jetbrains.kotlin:kotlin-stdlib-jdk8:${Versions.kotlin}"
  const val kotlin_stdlib_common = "org.jetbrains.kotlin:kotlin-stdlib-common:${Versions.kotlin}"
  const val kotlin_serialization = "org.jetbrains.kotlin:kotlin-serialization:${Versions.kotlin}"
  const val kotlinx_serialization_runtime = "org.jetbrains.kotlinx:kotlinx-serialization-runtime:0.11.0"

  const val logback = "ch.qos.logback:logback-classic:${Versions.logback}"

  const val mockk = "io.mockk:mockk:${Versions.mockk}"

  const val postgres = "org.postgresql:postgresql:${Versions.postgres}"

  const val servlet_api = "javax.servlet:javax.servlet-api:${Versions.servlet}"
  const val slf4j_api = "org.slf4j:slf4j-api:${Versions.slf4j}"
  const val slf4j_jcl_bridge = "org.slf4j:jcl-over-slf4j:${Versions.slf4j}"

  const val spring_security_crypto = "org.springframework.security:spring-security-crypto:${Versions.spring}"
  const val strikt_core = "io.strikt:strikt-core:${Versions.strikt}"

  const val testcontainers = "org.testcontainers:testcontainers:${Versions.testcontainers}"
  const val testcontainers_junit = "org.testcontainers:junit-jupiter:${Versions.testcontainers}"
  const val testcontainers_postgres = "org.testcontainers:postgresql:${Versions.testcontainers}"
  const val testcontainers_localstack = "org.testcontainers:localstack:${Versions.testcontainers}"

  const val vaadin_bom = "com.vaadin:vaadin-bom:${Versions.vaadin}"
  const val vaadin_core = "com.vaadin:vaadin-core:${Versions.vaadin}"
  const val vaadin_prod = "com.vaadin:flow-server-production-mode:${Versions.vaadin}"

  const val amazonaws_s3 = "com.amazonaws:aws-java-sdk-s3:${Versions.amazonaws_s3}"
}

